class Permission {
    constructor(name) {
        this.name = name;
        this.allow = [];
        this.deny = [];

    }
    Allow(data) {
        this.allow.push(data)
    }
    Deny(data) {
        this.deny.push(data);
    }
}
class PermissionsManager {
    constructor(users = {}) {
        this.users = new Map(Object.entries(users));
    }
    GivePermission(user,permission) {
        var usern = this.users.get(user);
        usern.push(permission);
        this.users.set(user,usern);
        delete usern;
        return true;
    }
    TakePermission(user,permission) {
        var usern = this.users.get(user);
        usern.splice(usern.indexOf(permission),1)
        this.users.set(user,usern);
        delete usern;
        return true;
    }
    CheckPermissions(user,perm) {
        return this.users.get(user).includes(perm)
    }
}
module.exports = {Permission, PermissionsManager}